{ config, pkgs, ... }:
{
  programs = {
    irssi = {
      enable = true;
      extraConfig = "";

      # irc networks
      networks = {
        liberachat = {
          channels = {
            nixos = {
              autoJoin = true;
            };
            linux = {
              autoJoin = true;
            };
          };
          nick = "halbg0tt";
          server = {
            address = "palladium.libera.chat";
            autoConnect = false;
            port = 6697;
          };
        };
        
      };
    };
  };
}

